package kr.co.hanwha.hifive.data.model;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public class AlarmData {
    int member_id;
    String title;
    String message;
    String response;
    String created_at;
    String updated_at;
    String url;

    String profile_url;//나중에 구현
    boolean is_opened;
    int noti_info_id;
    int task_id;
    int project_id;
    int track_id;
    int context_id;
    int group_id;

    public String getUrl() {
        return url;
    }

    public String getProfile_url() {
        return profile_url;
    }

    public void setIs_opened(boolean is_opened) {
        this.is_opened = is_opened;
    }

    public boolean is_opened() {
        return is_opened;
    }

    public int getNoti_info_id() {
        return noti_info_id;
    }

    public int getTask_id() {
        return task_id;
    }

    public int getProject_id() {
        return project_id;
    }

    public int getContext_id() {
        return context_id;
    }

    public String getTitle() {
        return title;
    }

    public String getMessage() {
        return message;
    }

    public String getCreated_at() {
        return created_at;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public void setCreated_at(String created_at) {
        this.created_at = created_at;
    }

    public int getTrack_id() {
        return track_id;
    }

    public void setTrack_id(int track_id) {
        this.track_id = track_id;
    }

    public int getGroup_id() {
        return group_id;
    }

    @Override
    public String toString() {
        return "AlarmData{" +
                "member_id=" + member_id +
                ", title='" + title + '\'' +
                ", message='" + message + '\'' +
                ", response='" + response + '\'' +
                ", created_at='" + created_at + '\'' +
                ", updated_at='" + updated_at + '\'' +
                '}';
    }
}
/* 2018.4.17
{
    "noti_info_id"  : 2187,
    "is_opened"     : true,
    "profile_url"   : "",
    "id"            : 2357,
    "member_id"     : 327,
    "task_id"       : 0,
    "project_id"    : 0,
    "track_id"      : 0,
    "context_id"    : 20,
    "group_id"      : 697,
    "title"         : "안세준sjahn님이 요청을 수락하였습니다.",
    "token"         : "fCEE4k5eHRU:APA91bEgfWY2N4z0aMAy4ySHLYbo-kair0CuBMHZUInBiwjStJNdKBkv4ttVvI85en1DEL-usp6dyzH49kIkSrAopJvVu2VoDX93haX37ct5zxEmmSc4Ir1EtLD-LaW5_vFBsOZNUKOq",
    "platform_type" : "Android",
    "message"       : "수락: 가나다",
    "response"      : "C",
    "created_at"    : "2018-04-17 15:30:18.0",
    "updated_at"    : "2018-04-17 15:30:33.0",
    "deleted_at"    : null
}
 */